class MERURLsReport(PWReportPage):
	def init(self):
		super(MERURLsReport, self).init()
		self.project				= None
		self.withObjective			= True
		self.iterIndex				= 0
		self.deeperIterIndex        = 0
		self.levelDepth             = 10
		self.withAssignments        = False
		self.iterPhase				= None
		self.iterRes				= None
		self.iterItem				= None
		self.iterPhaseResIndex		= 0
		self.eventsElementsSortDescriptors		= [NSSortDescriptor.alloc().initWithKey_ascending_("title", True)]
		self.elementsSortDescriptors		= [NSSortDescriptor.alloc().initWithKey_ascending_("title", True)]
		return self
		

	def internalParameterKeys(self):
		return ["eventsElementsSortDescriptors"]



	def showObjective(self):
		return self.project.itemDescription()

	
	def allElements(self):
		predicate = NSPredicate.predicateWithFormat_("isPrivate = FALSE AND (url contains 'http://' OR url contains 'file:///')")
		elements = self.project.deepElements().allObjects().filteredArrayUsingPredicate_(predicate)
		return elements.sortedArrayUsingDescriptors_(self.elementsSortDescriptors)	

	

	def rowClass(self):
		if self.iterIndex%2:
			return "even"

	def totalRowClass(self):
		if len(self.allElements())%2:
			return "even"

	def dateFormat(self):
		return "medium/short"





